setwd('H:/...')
adat=read.table('qbase_cerebralis_eng.csv',header=TRUE,dec=",",sep=",")
str(adat)
# fix(adat)

adat$time=factor(adat$time,levels=c("1 day","1 week","1 month"))
adat=droplevels((adat)) 
adat$logCNRQ=log10(adat$para_CNRQ)

with(adat,boxplot(logCNRQ))
with(adat,hist(logCNRQ)) 
with(adat,summary(logCNRQ))

# descriptive statistics
leirostat_sebes=data.frame(matrix(NA,nrow=3,ncol=8))
leirostat_sebes[1,1:6]=with(adat[adat$RT_PCR=="+"&adat$species=="BT"&adat$time=="1 day",],summary(logCNRQ))[1:6]
leirostat_sebes[1,7]=with(adat[adat$RT_PCR=="+"&adat$species=="BT"&adat$time=="1 day",],sd(logCNRQ,na.rm=T))
leirostat_sebes[1,8]=dim(adat[adat$RT_PCR=="+"&adat$species=="BT"&adat$time=="1 day",])[1]
leirostat_sebes[2,1:6]=with(adat[adat$RT_PCR=="+"&adat$species=="BT"&adat$time=="1 week",],summary(logCNRQ))
leirostat_sebes[2,7]=with(adat[adat$RT_PCR=="+"&adat$species=="BT"&adat$time=="1 week",],sd(logCNRQ))
leirostat_sebes[2,8]=dim(adat[adat$RT_PCR=="+"&adat$species=="BT"&adat$time=="1 week",])[1]
leirostat_sebes[3,1:6]=with(adat[adat$RT_PCR=="+"&adat$species=="BT"&adat$time=="1 month",],summary(logCNRQ))
leirostat_sebes[3,7]=with(adat[adat$RT_PCR=="+"&adat$species=="BT"&adat$time=="1 month",],sd(logCNRQ))
leirostat_sebes[3,8]=dim(adat[adat$RT_PCR=="+"&adat$species=="BT"&adat$time=="1 month",])[1]
rownames(leirostat_sebes)=c("1 day", "1 hét", "1 hónap")
colnames(leirostat_sebes)=c("Min.", "1st Qu.",  "Median ",   "Mean", "3rd Qu.",    "Max.", "SD", "Nr")

leirostat_szivarvanyos=data.frame(matrix(NA,nrow=3,ncol=8))
leirostat_szivarvanyos[1,1:6]=with(adat[adat$RT_PCR=="+"&adat$species=="RBT"&adat$time=="1 day",],summary(logCNRQ))[1:6]
leirostat_szivarvanyos[1,7]=with(adat[adat$RT_PCR=="+"&adat$species=="RBT"&adat$time=="1 day",],sd(logCNRQ,na.rm=T))
leirostat_szivarvanyos[1,8]=dim(adat[adat$RT_PCR=="+"&adat$species=="RBT"&adat$time=="1 day",])[1]
leirostat_szivarvanyos[2,1:6]=with(adat[adat$RT_PCR=="+"&adat$species=="RBT"&adat$time=="1 week",],summary(logCNRQ))
leirostat_szivarvanyos[2,7]=with(adat[adat$RT_PCR=="+"&adat$species=="RBT"&adat$time=="1 week",],sd(logCNRQ))
leirostat_szivarvanyos[2,8]=dim(adat[adat$RT_PCR=="+"&adat$species=="RBT"&adat$time=="1 week",])[1]
leirostat_szivarvanyos[3,1:6]=with(adat[adat$RT_PCR=="+"&adat$species=="RBT"&adat$time=="1 month",],summary(logCNRQ))
leirostat_szivarvanyos[3,7]=with(adat[adat$RT_PCR=="+"&adat$species=="RBT"&adat$time=="1 month",],sd(logCNRQ))
leirostat_szivarvanyos[3,8]=dim(adat[adat$RT_PCR=="+"&adat$species=="RBT"&adat$time=="1 month",])[1]
rownames(leirostat_szivarvanyos)=c("1 day", "1 hét", "1 hónap")
colnames(leirostat_szivarvanyos)=c("Min.", "1st Qu.",  "Median ",   "Mean", "3rd Qu.",    "Max.", "SD", "Nr")

with(adat, table(species,time))


with(adat,table(RT_PCR,species)) 
# chi2: 
species_pcr=matrix(2,2) # hogy legyen egy - a próbához használható - táblázat
proba=data.frame(with(adat,table(RT_PCR,species)))
species_pcr=matrix(nrow=2,ncol=2,proba$Freq[(proba$RT_PCR=="-"|proba$RT_PCR=="+")],byrow=T)
row.names(species_pcr)=c("BT","RBT")
colnames(species_pcr)=c("-","+")
#fix(species_pcr)
chisq.test(species_pcr) # 

# barplot:
par(mar=c(5.1, 6.1, 4.1, 2.1)) 
barplot(with(adat[adat$RT_PCR=="+",],table(time,species))/(with(adat,table(time,species)))*100,ylab="   Prevalence (%)",beside=TRUE,col=c("salmon","royalblue4","palegoldenrod"),xaxt="n",cex.axis = 3, cex.names = 3,cex.main=3,cex.lab=3) 
axis(side=1,at=c(2.5,6.5),labels=c("Brown trout","Rainbow trout"),tick=FALSE,cex.axis=3)
legend(x=6.5,y=100,col=c("salmon","royalblue4","palegoldenrod"),legend=c("1 day","1 week","1 month"),bty="n",pch=15,x.intersp=0.5,y.intersp=0.8,cex=3)
par(mar=c(5.1, 4.1, 4.1, 2.1))




# CNRQ
t.test(logCNRQ~species,data=adat) 

# brown trout
library(multcomp) 
amod_e3=lm(logCNRQ~time,data=adat[adat$species=="BT",])
anova(amod_e3) 
amod_e3_tukey=glht(amod_e3,linfct=mcp(time="Tukey"))
summary(amod_e3_tukey) 

# rainbow trout
t.test(logCNRQ~time,data=adat[adat$species=="RBT",])


# Welch:
# 1 day
t.test(logCNRQ~species,data=adat[adat$time=="1 day",]) 
# 1 week
t.test(logCNRQ~species,data=adat[adat$time=="1 week",]) 

par(mar=c(5.1, 6.1, 1.1, 2.1))
with(adat[adat$RT_PCR=="+",],boxplot(logCNRQ~species,ylab=expression("Log"[10]*CNRQ),cex.lab=3,cex.axis=3,cex.main=3,xaxt='n',ylim=c(-2.5,3.5)))
axis(side=1,at=(1:2),labels=c("Brown trout","Rainbow trout"),cex.axis=3,tick = FALSE,pos=-2.6)
par(mar=c(5.1, 4.1, 4.1, 2.1))


cimke=paste0(rep(c("BT","RT"),each=3),rep(c("\n1 d","\n1 w","\n1 mo"),times=2)) 
par(mar=c(5.1, 6.1, 4.1, 2.1))
with(adat[adat$RT_PCR=="+",],boxplot(logCNRQ~time:species,ylab=expression("Log"[10]*CNRQ),cex.lab=3,cex.axis=3,cex.main=3,xaxt="n",ylim=c(-2.5,3.5))) 
axis(side=1,at=(1:6),labels=cimke,tick=FALSE,cex.axis=3,pos=-3.35)
par(mar=c(5.1, 4.1, 4.1, 2.1))


# 3 in 1
par(mfrow=c(1,3)) 
par(mar=c(5.1, 6.1, 4.1, 2.1),font.axis=2,font.lab=2) 
barplot(with(adat[adat$RT_PCR=="+",],table(time,species))/(with(adat,table(time,species)))*100,ylab="Prevalence  (%)",beside=TRUE,col=c("salmon","royalblue4","palegoldenrod"),xaxt="n",cex.axis = 2.5, cex.names = 3,cex.main=3,cex.lab=3) 
axis(side=1,at=c(2.5,6.5),labels=c("BT","RBT"),tick=FALSE,cex.axis=3,pos=-4.6)
legend(x=5,y=100,col=c("salmon","royalblue4","palegoldenrod"),legend=c("1 day","1 week","1 month"),bty="n",pch=15,x.intersp=0.5,y.intersp=0.8,cex=3)
par(mar=c(5.1, 4.1, 4.1, 2.1))

par(mar=c(5.1, 6.1, 4.1, 2.1),font.axis=2,font.lab=2)
with(adat[adat$RT_PCR=="+",],boxplot(logCNRQ~species,ylab=expression(bold("Log"[10]*CNRQ)),cex.lab=3,cex.axis=2.5,cex.main=3,xaxt='n',ylim=c(-2.5,3.5)))
axis(side=1,at=(1:2),labels=c("BT","RBT"),cex.axis=3,pos=-2.95,tick = FALSE)#
par(mar=c(5.1, 4.1, 4.1, 2.1))

cimke=rep(c("1d","1w","1m"),times=2) 
par(mar=c(5.1, 6.1, 4.1, 2.1),font.axis=2,font.lab=2)
with(adat[adat$RT_PCR=="+",],boxplot(logCNRQ~time:species,ylab=expression(bold("Log"[10]*CNRQ)),cex.lab=3,cex.axis=2.5,cex.main=3,xaxt="n",ylim=c(-2.5,3.5),outlwd = 2)) 
axis(side=1,at=(1:6),labels=cimke,cex.axis=2.5,pos=-2.75,tick=FALSE)#
text(x=2,y=1.8,labels="A",cex=3)
text(x=5,y=-0.7,labels="A",cex=3)
par(mar=c(5.1, 4.1, 4.1, 2.1))
par(mfrow=c(1,1)) 

mtext(text=c(expression(bold("brown trout")),expression(bold("rainbow trout"))),at=c(0.74,0.865),side=1,line=-1.45,outer=TRUE,adj=0,cex=2)
mtext(text=c(expression(bold("A")),expression(bold("B")),expression(bold("C"))),at=c(0.001,0.335,0.667),side=3,outer=TRUE,adj=0,cex=3,line=-2.5)
